## libqtbamf 0.2-0ubuntu3~bzr376

=== debian/changelog ===
libqtbamf (0.2-0ubuntu3~bzr376) natty; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Thu, 03 Mar 2011 00:34:10 +0000

libqtbamf (0.2-0ubuntu2) natty; urgency=low

  *  fix .symbols file to solve FTBFS

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Feb 2011 17:28:41 +0100

libqtbamf (0.2-0ubuntu1) natty; urgency=low

  * Bump upstream version to 0.2
  * merge ubuntu packaging changes upstream

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Feb 2011 15:11:13 +0100

libqtbamf (0.1+bzr371-0ubuntu2) natty; urgency=low

  * add libqtbamf1.symbols file

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Feb 2011 16:04:04 +0100

libqtbamf (0.1+bzr371-0ubuntu1) natty; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright
  * pull in new upstream changes from bzr trunk

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 21 Jan 2011 13:25:27 +0100

libqtbamf (0.1-0ubuntu1) natty; urgency=low

  * Initial Release (LP: #702954)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 14 Jan 2011 09:26:39 -0800

## libqtbamf 0.2.1-0ubuntu1unity2d2

=== CMakeLists.txt ===
project(libQtBamf)
cmake_minimum_required(VERSION 2.8)

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)

# Sources
## QtBamf
set(QtBamf_SRCS
    bamf-application.cpp
    bamf-application-proxy.cpp
    bamf-control.cpp
    bamf-control-proxy.cpp
    bamf-factory.cpp
    bamf-indicator.cpp
    bamf-indicator-proxy.cpp
    bamf-matcher.cpp
    bamf-matcher-proxy.cpp
    bamf-view.cpp
    bamf-view-proxy.cpp
    bamf-window.cpp
    bamf-window-proxy.cpp
    )

set(QtBamf_MOC_HDRS
    bamf-application.h
    bamf-application-proxy.h
    bamf-control.h
    bamf-control-proxy.h
    bamf-factory.h
    bamf-indicator.h
    bamf-indicator-proxy.h
    bamf-list.h
    bamf-matcher.h
    bamf-matcher-proxy.h
    bamf-view.h
    bamf-view-proxy.h
    bamf-window.h
    bamf-window-proxy.h
    )

qt4_wrap_cpp(QtBamf_MOC_SRCS ${QtBamf_MOC_HDRS})

## QtBamfQml
set(QtBamfQml_SRCS
    bamf-plugin.cpp
    )

set(QtBamfQml_MOC_HDRS
    bamf-plugin.h
    )

qt4_wrap_cpp(QtBamfQml_MOC_SRCS ${QtBamfQml_MOC_HDRS})

# Build
add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    )

## QtBamf
add_library(QtBamf SHARED ${QtBamf_SRCS} ${QtBamf_MOC_SRCS})

set_target_properties(QtBamf PROPERTIES
    SOVERSION 1
    VERSION 1.0.0
    )

target_link_libraries(QtBamf
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    )

## QtBamfQml
add_library(QtBamfQml SHARED ${QtBamfQml_SRCS} ${QtBamfQml_MOC_SRCS})

target_link_libraries(QtBamfQml
    QtBamf
    ${QT_QTDECLARATIVE_LIBRARIES}
    )

## test
add_executable(test test.cpp)
target_link_libraries(test
    QtBamf
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/bamf)
set(INCLUDE_INSTALL_DIR include/QtBamf)

## QtBamf
install(TARGETS QtBamf
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    )

install(FILES
    bamf-application.h
    bamf-control.h
    bamf-factory.h
    bamf-indicator.h
    bamf-list.h
    bamf-matcher.h
    bamf-view.h
    bamf-window.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

# FIXME: Generate from ${CMAKE_INSTALL_PREFIX}
install(FILES libqtbamf.pc
    DESTINATION lib/pkgconfig
    )

## QtBamfQml
install(TARGETS QtBamfQml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

## libqtbamf 0.2.1

=== debian/changelog ===
libqtbamf (0.2.1-0ubuntu1) natty; urgency=low

  * New API: BamfMatcher::register_favorites(const QStringList& favorites) (LP: #739454)

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 19 Apr 2011 11:38:45 +0200

=== debian/control ===
Source: libqtbamf
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake
Standards-Version: 3.9.1
Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/bamf-qt/trunk

Package: libqtbamf1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative, bamfdaemon
Description: Qt binding and QML plugin for bamf - shared library
 Qt binding and QML plugin for the bamf dbus daemon semi-automatically
 generated with qdbusxml2cpp and matching the GObject library structure.

Package: libqtbamf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtbamf1 (= ${binary:Version}), libqt4-dev (>= 4.7)
Description: Qt binding and QML plugin for bamf - development files
 Qt binding and QML plugin for the bamf dbus daemon semi-automatically
 generated with qdbusxml2cpp and matching the GObject library structure.
 .
 This package contains the development headers for libqtbamf

## libqtbamf 0.2.1-0ubuntu1unity2d2

=== debian/changelog ===
libqtbamf (0.2.1-0ubuntu1unity2d2) lucid; urgency=low

  * Rebuild in archive, no code change

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 08:54:57 -0600

libqtbamf (0.2.1-0ubuntu1unity2d1) lucid; urgency=low

  * Backport from Natty to pick up new API; register_favorites is needed
    to help fix LP: #768539
  * Remove .symbols file

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 16:49:01 -0600

libqtbamf (0.1-0ubuntu2) UNRELEASED; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 19 Jan 2011 15:58:27 +0100

libqtbamf (0.1-0ubuntu2~maverickbzr372unity2d2) lucid; urgency=low

  * debian/control: update Vcs-Bzr link
  * debian/source/format: change to 3.0 (native)

 -- Alex Chiang <achiang@canonical.com>  Sat, 12 Feb 2011 10:43:12 -0700

libqtbamf (0.1-0ubuntu2~maverickbzr372unity2d1) lucid; urgency=low

  * Backport from Maverick
  * debian/control: bump cmake B-D version

 -- Alex Chiang <achiang@canonical.com>  Wed, 09 Feb 2011 14:10:34 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
-Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake
+Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake (>= 2.8.2)
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/bamf-qt/trunk
+Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/unity-2d/bamf-qt
 
 Package: libqtbamf1
 Architecture: any

## libqtbamf 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
 # Dependencies
 include(FindPkgConfig)
 find_package(Qt4 REQUIRED)
+
+# Build flags
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -std=c++0x")
 
 # Sources
 ## QtBamf

=== debian/changelog ===
libqtbamf (0.2.2-0ubuntu1) oneiric; urgency=low

  * use -fvisibility=hidden in build to hide all private symbols
  * debian/libqtbamf1.symbols:
    - removed private symbols 
  * add -Wall compilation flag
  * add -std=c++0x compilation flag

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 28 Jul 2011 00:43:32 +0200

libqtbamf (0.2.1-0ubuntu2) oneiric; urgency=low

  * update symbols file to fix FTBFS (LP: #765915)

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 19 Jun 2011 17:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
-Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake (>= 2.8.2)
-Standards-Version: 3.9.1
-Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/unity-2d/bamf-qt
+Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake
+Standards-Version: 3.9.2
+Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/bamf-qt/trunk
 
 Package: libqtbamf1
 Architecture: any

## libqtbamf 0.2.3

=== debian/changelog ===
libqtbamf (0.2.3-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * new upstream release.

  [ Olivier Tilloy ]
  * debian/control: Remove unused build dependency (qt4-qmake).

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Jan 2012 16:47:10 +0100

## libqtbamf 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -97,10 +97,21 @@
     ${QT_QTGUI_LIBRARIES}
     ${QT_QTDECLARATIVE_LIBRARIES}
     )
+add_custom_target(check)
 
 # Install
-set(IMPORT_INSTALL_DIR lib/qt4/imports/bamf)
+# You can override the directory in which we install QML imports
+# by setting QT_IMPORTS_DIR to a path on the cmake command line
+if(QT_IMPORTS_DIR)
+  set(qt_imports_dir ${QT_IMPORTS_DIR})
+else()
+  # Query qmake directly because of
+  # https://bugs.launchpad.net/ubuntu/+source/cmake/+bug/894805
+  _qt4_query_qmake(QT_INSTALL_IMPORTS qt_imports_dir)
+endif()
+set(IMPORT_INSTALL_DIR ${qt_imports_dir}/bamf)
 set(INCLUDE_INSTALL_DIR include/QtBamf)
+message(STATUS "Installing imports in ${IMPORT_INSTALL_DIR}")
 
 ## QtBamf
 install(TARGETS QtBamf

=== debian/changelog ===
libqtbamf (0.2.4-0ubuntu2) quantal; urgency=low

  * Fix build failure with multiarch Qt imports directory.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 12:02:56 +0100

libqtbamf (0.2.4-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - unity-2d-shell crashed with SIGSEGV in ref()  (LP: #968046)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 27 Apr 2012 08:37:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
-Build-Depends: debhelper (>= 7), cdbs, qt4-qmake, libqt4-dev (>= 4.7), cmake
+Build-Depends: debhelper (>= 7), cdbs, libqt4-dev (>= 4:4.8.1-1), cmake
 Standards-Version: 3.9.2
 Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/bamf-qt/trunk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
